<template>
	<view>

		<view class="width94 comorder mart10">
			<view class="height100p width94 goodsimg">
				<image class="flleft" mode="widthFix" :src="imageUrl+couponList.couponImg"></image>
				<view class="tcrig">
					<view class="font18 fontwig6 fcor333 text1">{{couponList.couponName}}</view>
					<view class="font13  fcor666 mart10">规格: 默认</view>
					<view class="price-number mart10" v-if="isDiscont">
						<view class="price font16">￥{{couponList.salesPrice}}</view>
						<view class="flright fotrt paddleft10">x1</view>
					</view>
					<view class="price-number mart10" v-if="!isDiscont">
						<view class="price font16">￥{{couponList.discountPrice}}</view>
						<view class="number fcor666 font13 margle"
							v-if="couponList.salesPrice != couponList.discountPrice">
							￥{{couponList.salesPrice}}
						</view>
						<view class="flright fotrt paddleft10">x1</view>
					</view>
				</view>
			</view>
			<view class="width94 line1 mart5 marb5"></view>
			<view class="height50 width100 backcorfff">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					商品总额
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor999" v-if=" isDiscont">
					￥{{couponList.salesPrice}}
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor999" v-if="!isDiscont">
					￥{{couponList.discountPrice}}
				</view>
			</view>

			<view class="width94 line1 mart5 marb5"></view>
			<view class="height50 width100 backcorfff">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					配送费
				</view>
				<view class="width40 flright alijun paddtright10 font15 fontwig6 fcor666">
					￥0
				</view>
			</view>

			<view class="width94 line1 mart5 marb5"></view>
			<view class="height50 width100 backcorfff" @click="showPopup()">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					优惠抵扣<text class="yhqky">{{UserNormalDiscountList.length}}张可用</text>
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
					style="align-items: center;" v-if="deductionPrice == 0">
					未使用
					<image style="width: 40rpx;height: 40rpx;" src="../../static/img/jt.png"></image>
				</view>
				<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcoreb5 alijun"
					style="align-items: center;" v-else>
					-￥{{deductionPrice}}
					<image style="width: 40rpx;height: 40rpx;" src="../../static/img/jt.png"></image>
				</view>
			</view>
		</view>

		<view class="width94 backcorfff mart10">
			<view class="width94 alijusstart height50 font14 fcor666">
				<view class="width40 fcor333 fontwig6 font16" style="padding-left: 2%;">邀请码</view>
				<input class="width60 fotrt font15" v-model="identificationCode" placeholder="请输入邀请码" />
			</view>
		</view>

		<view class="width94 comorder mart10">

			<view class="width92 alijusstart paddtop20">
				<view class="width30 fcor333 fontwig6 font16">
					积分抵扣
				</view>
				<view class="cj-slider">
					<view class="flleft fotct font14 fcor666" style="width: 15%;">0</view>
					<cj-slider style="width: 60%; float:left;" v-if="isDiscount" v-model="priceValue" :min="0"
						:max="availIntegal" :step="1" :blockWidth="40" @start="blockStart" @moving="blockMoving"
						@end="blockEnd" />
					<view class="flright fotrt font14 fcor666" style="width: 25%;">{{availIntegal}}</view>
				</view>
			</view>
			<view class="width94 line1 mart15 marb5"></view>
			<view class="height50 width100 backcorfff">
				<view class="width70 flleft fcor333 fontwig6 font16 text1" style="padding-left: 4%;">
					抵扣金额
				</view>
				<view class="width20 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
					style="align-items: center;">
					¥{{priceValue[1] / 100}}
				</view>
			</view>
			<view class="width94 line1 mart5 marb5"></view>

			<view class="height40 width100 backcorfff">
				<view class="width40 flleft fcor666 font15 fontwig6 text1 alijusstart" style="padding-left: 2%;">
					<image src="../../static/img/rebate.png" mode="widthFix" style="width: 25px;"></image>
					<text>下单返积分</text>
				</view>
				<view class="width50 flright fotrt paddtright10 font15 colore95 alijun" v-if="Integrastu == 1"
					style="align-items: center;">
					返{{rebateIntegral}}积分
				</view>
				<view class="width50 flright fotrt paddtright10 font15 colore95 alijun" v-if="Integrastu == 2"
					style="align-items: center;">
					{{rebateIntegral}}
				</view>
			</view>
			<view class=" width100 backcorfff alijusstart paddbotm10" style="padding-left: 2%;">
				<image src="../../static/img/sigh.png" mode="widthFix" class="icon20"></image>
				<text class="fcor999 font13">积分抵扣与优惠券抵扣不同享</text>
			</view>

			<view class="height50 width100 backcorfff">
				<view class="width100 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
					支付方式
					<!-- <text class="jfrecharge" @click="jumpdeposits" v-if="couponList.payType == 2">积分充值</text> -->
				</view>
			</view>
			<view class="width100" v-for="(item,index) in paytypeList" :key="index">
				<view class="width94 line1 mart5 marb5" v-if="item == 4"></view>
				<view class="height50 width100 backcorfff" @tap="paytype='4'" v-if="item == 4">
					<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
						银联支付
					</view>
					<view class="width40 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
						style="align-items: center;" v-if="isUse">
						<radio :checked="paytype=='4'" color="#0083f5" />
					</view>
				</view>
				<view class="width94 line1 mart5 marb5" v-if="item == 3"></view>
				<view class="height50 width100 backcorfff" @tap="paytype='3'" v-if="item == 3">
					<view class="width70 flleft fcor333 fontwig6 font16" style="padding-left: 4%;">
						工会卡支付<text class="font14 fcor666 margle">可用余额: {{tongCardPrice}}元</text>
					</view>
					<view class="width20 flright fotrt paddtright10 font15 fontwig6 fcor666 alijun"
						style="align-items: center;" v-if="isUse">
						<radio :checked="paytype=='3'" @click="changeRiado()" color="#0083f5" />
					</view>
				</view>
			</view>
		</view>


		<view class="width100 height60"></view>
		<view class="footer">
			<view class="settlement">
				<view class="sum">实付:<view class="money">￥{{paytheprice}}</view>
				</view>
				<button class="btn" v-if="user.phone == null" @click="jumpH5Bding">立即支付</button>
				<button class="btn" v-else @tap="toPay">立即支付</button>
			</view>
		</view>

		<wybPopup ref="popup" type="bottom" width="500" radius="6" :showCloseIcon="true">
			<view class="fotct font18 fontwig6 fcor333 mart10 height30">优惠券选择</view>
			<view class="width92 height110 tccs mart10" v-for="(items, index) in UserNormalDiscountList" :key="items"
				@click="radioChanges(items)">
				<image mode="widthFix" class="flleft" :src="imageUrl+items.discountImg"></image>
				<view class="tcrig">
					<view class="yhprice">
						<radio :checked="items.id == memDiscountId" color="#0083f5" />
					</view>
					<view class="font16 fontwig6 fcor333 text1">{{items.discountName}}</view>
					<view class="font13 fcor999 mart5">有效期至：{{items.salesEndTime | formatDate('-')}}</view>

				</view>
			</view>
		</wybPopup>
		<ssPaymentPassword ref="paymentPassword" :mode="1" @submit="submitHandle" />
	</view>
</template>

<script>
	import {
		create,
		getCouponById,
		getUserNormalDiscountList,
		findUser,
		unionPay,
		getRebateIntegral,
		cardPay,
		getHuiLianTongCardBalance,
		getThirdPartyByDetail
	} from '../../Utils/Api.js';
	import wybPopup from '../../components/wyb-popup/wyb-popup.vue';
	import cjSlider from '../../components/cj-slider/cj-slider.vue';
	import ssPaymentPassword from '../../components/sanshui-payment-password'
	let app = getApp();

	export default {
		components: {
			wybPopup,
			ssPaymentPassword
		},
		data() {
			return {
				couponId: '',
				couponList: [],
				UserNormalDiscountList: [],
				imageUrl: app.globalData.imgUrl,
				deductionPrice: '0.00',
				paytheprice: '', //支付金额
				saveprice: '', //折扣价
				orderPrice: '', //原价
				radioStatus: true,
				memDiscountId: '',
				user: '',
				paytype: '',
				PaymentPassword: '',
				orderId: '',
				jumpType: '',
				tongCardPrice: 0,
				storeId: '',
				isDiscont: false,
				coupondiscountid: '',
				orderDetails: '', //订单详情
				payGold: '', //积分数
				identificationCode: '', //渠道商
				paytypeList: [], //支付方式
				priceValue: [0, 0], // 积分可以指定默认值
				changePrice: '', //滑动值
				isDiscount: true,
				availIntegal: '', // 可用积分
				isUse: true, // 是否禁用状态
				rechargeDes: '', // 支付详情
				rebateIntegral: '', //返回积分
				Integrastu: 1 //返积分状态 
			};
		},
		onLoad(option) {
			this.couponId = option.id;
			this.getCouponById();
		},
		onShow() {
			let that = this;
			that.paytype = '';
			that.user = app.globalData.userInfo;
			that.findUser();
		},
		onHide() {

		},
		onBackPress() {
			//页面后退时候，清除订单信息
		},
		filters: {
			toFixed: function(x) {
				return parseFloat(x).toFixed(2);
			},
			//过滤器 用于格式化时间
			formatDate: function(value, spe = '/') {
				let data = new Date(value);
				let year = data.getFullYear();
				let month = data.getMonth() + 1;
				let day = data.getDate();
				let h = data.getHours();
				let mm = data.getMinutes();
				let s = data.getSeconds();
				month = month >= 10 ? month : "0" + month;
				day = day >= 10 ? day : "0" + day;
				h = h >= 10 ? h : "0" + h;
				mm = mm >= 10 ? mm : "0" + mm;
				s = s >= 10 ? s : "0" + s;
				return `${year}${spe}${month}${spe}${day} ${h}:${mm}:${s}`;
			}
		},
		methods: {
			//查询支付方式
			getThirdPartyByDetail() {
				let datas = {
					platformId: 3,
					regionId: app.globalData.cityId,
					productType: 4,
					productId: this.couponList.couponSource
				}
				getThirdPartyByDetail(datas).then(res => {
					if (res.return_code == '000000') {
						this.rechargeDes = res.return_data;
						this.paytypeList = res.return_data.productPayType.split(',');
						this.paytypeList = this.paytypeList.slice(0, this.paytypeList.length - 1);
						let zkprice = parseFloat(res.return_data.integralDiscount / 100).toFixed(2);
						let pprice = parseFloat(this.paytheprice * 100).toFixed(0)
						let payprice = parseFloat(this.paytheprice * 100 * zkprice).toFixed(
							0);
						if (payprice > this.user.gold) {
							this.availIntegal = this.user.gold;
						} else {
							this.availIntegal = payprice;
						}
					}
				});
			},
			//查询积分
			findUser() {
				let params;
				findUser(params).then(res => {
					if (res.return_code == '000000') {
						app.globalData.userInfo = res.return_data;
						this.user = res.return_data;
						if (this.user.hltCardNo) {
							this.getHuiLianTongCardBalance();
						}
						this.getUserNormalDiscountList();
						this.getRebateIntegral();
						uni.setStorage({
							key: "user",
							data: res.return_data
						})
					}
				});
			},
			//查询工会卡余额
			//查询详情
			getHuiLianTongCardBalance() {
				let params = {
					cardNo: this.user.hltCardNo.cardNo
				}
				getHuiLianTongCardBalance(params).then(res => {
					if (res.return_code == '000000') {
						this.tongCardPrice = res.return_data.balance;
					}

				});
			},
			//支付返利积分
			getRebateIntegral() {
				let datas = {
					"companyId": app.globalData.companyId,
					"price": this.paytheprice,
					"productId": 1,
					"type": 1,
				}
				getRebateIntegral(datas).then(res => {
					if (res.return_code == '000000') {
						this.rebateIntegral = res.return_data;
						this.Integrastu = 1;
					} else {
						this.rebateIntegral = res.return_msg;
						this.Integrastu = 2;
					}
				})
			},
			//查询卡券详情
			getCouponById() {
				uni.showLoading({
					title: '加载中...'
				})
				let params = {
					couponId: this.couponId
				}
				getCouponById(params).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000') {
						this.couponList = res.return_data;
						this.paytheprice = res.return_data.discountPrice;
						this.saveprice = res.return_data.discountPrice;
						this.orderPrice = res.return_data.salesPrice
						this.getThirdPartyByDetail();
					}
				})
			},
			//显示弹出
			showPopup() {
				this.$refs.popup.show();
			},
			//选择优惠券
			radioChanges(item) {
				this.paytheprice = this.orderPrice;
				this.rechangeload();
				if (this.memDiscountId == item.id) { // 如果已经选中，则取消选中
					this.memDiscountId = '';
					this.deductionPrice = '0.00';
					this.priceCaluc(this.saveprice);
					this.isDiscont = false;
				} else { // 否则进行选中赋值
					this.isDiscont = true;
					this.memDiscountId = item.id;
					if (item.highDiscount.discountType == 1) {
						//满减价格
						if (this.orderPrice > item.highDiscount.discountCondition) {
							this.memDiscountId = item.id;
							//满减价格
							this.deductionPrice = item.highDiscount.discountPrice;
							let oldprice = this.orderPrice - this.deductionPrice;
							this.priceCaluc(oldprice);
						} else {
							uni.showToast({
								title: '请满' + item.highDiscount.discountCondition + '使用此券',
								icon: 'none',
								duration: 2000
							})
						}
					}
					if (item.highDiscount.discountType == 2) {
						//抵扣价格
						this.deductionPrice = item.highDiscount.discountPrice;
						let oldprice = this.orderPrice - this.deductionPrice;
						this.priceCaluc(oldprice);
					}
					if (item.highDiscount.discountType == 3) {
						// 打折
						this.deductionPrice = parseFloat(this.orderPrice - (this.orderPrice * item.highDiscount
								.discountPrice))
							.toFixed(2);
						let oldprice = parseFloat(this.orderPrice * item.highDiscount.discountPrice).toFixed(2);
						this.priceCaluc(oldprice);
					}
				}
				this.$refs.popup.hide();
			},
			//计算价格
			priceCaluc(item) {
				let zkprice = parseFloat(this.rechargeDes.integralDiscount / 100).toFixed(2);
				let pprice = parseFloat(item * 100).toFixed(0);
				let payprice = parseFloat(item * 100 * zkprice).toFixed(0);
				if (payprice > this.user.gold) {
					this.availIntegal = this.user.gold;
					this.priceValue[1] = 0;
				} else {
					this.availIntegal = payprice;
					this.priceValue[1] = 0;
				}
				this.reload();
				this.calculatepayPrice();
			},
			//计算支付价格
			calculatepayPrice() {
				if (this.deductionPrice == 0) {
					this.paytheprice = parseFloat(this.saveprice - (parseFloat(this.priceValue[1] / 100).toFixed(2)))
						.toFixed(
							2);
				} else {
					this.paytheprice = parseFloat(this.orderPrice - (parseFloat(this.priceValue[1] / 100).toFixed(2)) -
						this
						.deductionPrice).toFixed(2);
				}
				this.getRebateIntegral();
			},
			rechangeload() {
				this.isUse = false;
				this.$nextTick(() => (this.isUse = true))
			},
			//刷新组件
			reload() {
				this.isDiscount = false;
				this.$nextTick(() => (this.isDiscount = true))
			},
			//查询优惠券详情
			getUserNormalDiscountList() {
				let params = {
					couponId: this.couponId
				}
				getUserNormalDiscountList(params).then(res => {
					if (res.return_code == '000000') {
						this.UserNormalDiscountList = res.return_data;
					}
				})
			},
			// H5获取手机号
			jumpH5Bding() {
				uni.navigateTo({
					url: '/pages/login/register?id=2'
				})
			},
			toPay() {
				if (this.paytheprice == 0) {
					if (!this.user.isSetPayPwd) {
						uni.navigateTo({
							url: '../login/updatePas/updatePas'
						})
						return;
					}
					this.$refs.paymentPassword.modalFun('show');
					return;
				}
				if (this.paytype == '') {
					uni.showToast({
						title: '请选择支付方式',
						icon: 'none',
						duration: 2000
					})
					return;
				}

				if (this.orderDetails) {
					this.wechatPay(this.orderDetails);
					return;
				}

				uni.showLoading({
					title: '提交订单中...'
				})
				if (this.couponList.reserveStatus) {
					this.storeId = app.globalData.storeid
				}
				let goods = {
					"childOrderList": [{
						"goodsId": this.couponId,
						"goodsPrice": this.paytheprice,
						"goodsType": 1,
						"saleCount": 1,
					}],
					"payGold": this.priceValue[1],
					"promoteCode": this.identificationCode,
					memDiscountId: this.memDiscountId
				}
				create(goods).then(res => {
					if (res.return_code == '000000') {
						uni.hideLoading();
						this.jumpType = res.return_data.highChildOrderList[0].ext1;
						this.orderId = res.return_data.orderNo;
						this.wechatPay(res.return_data);
					} else {
						uni.hideLoading();
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						});
					}
				})
			},
			//获取选择支付方式
			changeRiado() {
				if (!this.user.isSetHltCard) {
					uni.showToast({
						icon: 'none',
						title: '当前账号还未绑定,前往绑定',
						duration: 2000,
						success() {
							setTimeout(() => {
								uni.navigateTo({
									url: '../user/bindingCard/bindingCard'
								})
							}, 1000)
						}
					});
					return;
				}
			},
			//获取订单数据
			wechatPay(item) {
				let that = this;
				if (that.paytype == '4') {
					that.unionPay();
				} else if (that.paytype == 'unionPaystags') {
					//银联分期支付
					uni.redirectTo({
						url: '../tabBar/order/stagesUrl/stagesUrl?orderid=' + that.orderId
					})
				} else if (that.paytype == '3') {
					if (that.tongCardPrice < that.paytheprice) {
						uni.showToast({
							icon: 'none',
							title: '工会卡余额不足',
							duration: 2000,
						});
						return;
					}
					if (!that.user.isSetPayPwd) {
						uni.navigateTo({
							url: '../login/updatePas/updatePas'
						})
						return;
					}
					if (!that.user.isSetHltCard) {
						uni.showToast({
							icon: 'none',
							title: '当前账号还未绑定,前往绑定',
							duration: 2000,
							success() {
								setTimeout(() => {
									uni.navigateTo({
										url: '../user/bindingCard/bindingCard'
									})
								}, 1000)
							}
						});
						return;
					}
					that.$refs.paymentPassword.modalFun('show');
				} else {
					uni.showToast({
						title: '请选择支付方式',
						icon: 'none',
						duration: 2000
					})
				}
			},

			//银联获取信息
			unionPay() {
				let goods = {
					"orderNo": this.orderId
				}
				unionPay(goods).then(res => {
					if (res.return_code == '000000') {
						this.uniontopay(res.return_data.prepayid);
					} else {
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						});
					}
				})
			},
			//银联支付
			uniontopay(item) {
				let that = this;
				upsdk.pluginReady(function() {
					upsdk.pay({
						tn: item,
						success: function(res) {
							uni.showToast({
								title: '支付成功'
							})
							app.globalData.storeid = '';
							app.globalData.storename = '';
							uni.reLaunch({
								url: '../pay/success/success?id=' + that.couponId
							});
						},
						fail: function(err) {
							uni.showToast({
								title: err.msg,
								icon: 'none',
								duration: 2000
							})
							// 支付失败, err.msg 是失败原因描述, 比如TN号不合法, 或者用户取消了交易 等等。
						}
					});
				});
			},
			//支付密码弹出
			submitHandle(e) {
				this.PaymentPassword = e.value;
				if (this.PaymentPassword == '') {
					uni.showToast({
						title: '请勿手动关闭弹窗',
						icon: 'none',
						duration: 2000
					})
					return;
				}
				uni.showLoading({
					title: '支付中...'
				})

				if (this.paytheprice == 0) {
					let goods = {
						"childOrderList": [{
							"goodsId": this.couponId,
							"goodsPrice": this.paytheprice,
							"goodsType": 1,
							"saleCount": 1,
						}],
						"payGold": this.priceValue[1],
						"promoteCode": this.identificationCode,
						"payPwd": this.PaymentPassword,
						memDiscountId: this.memDiscountId
					}
					create(goods).then(res => {
						uni.hideLoading();
						if (res.return_code == '000000') {
							uni.showToast({
								title: '支付成功'
							})
							app.globalData.storeid = '';
							app.globalData.storename = '';
							uni.reLaunch({
								url: '../pay/success/success?id=' + this
									.couponId
							});
						} else {
							uni.showToast({
								title: res.return_msg,
								icon: 'none',
								duration: 2000
							});
						}
					})
					return;
				}

				let params = {
					"orderNo": this.orderId,
					"cardNo": this.user.hltCardNo.cardNo,
					"password": this.PaymentPassword
				}
				cardPay(params).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000') {
						uni.showToast({
							title: '支付成功'
						})
						app.globalData.storeid = '';
						app.globalData.storename = '';
						uni.reLaunch({
							url: '../pay/success/success?id=' + this.couponId
						});
						return;
					}
					if (res.return_code == '102130') {
						uni.navigateTo({
							url: '../../login/updatePas/updatePas'
						})
						return;
					}
					uni.showToast({
						title: res.return_msg,
						icon: 'none'
					})
				})
			},

			blockStart() {},
			blockMoving() {
				// console.log('正在滑动中')
			},
			//滑动结束
			blockEnd() {
				this.isDiscount = 1;
				if (this.deductionPrice == 0) {
					this.paytheprice = parseFloat(this.saveprice - parseFloat(this.priceValue[1] / 100).toFixed(2))
						.toFixed(2);
				} else {
					this.paytheprice = parseFloat(this.orderPrice - parseFloat(this.priceValue[1] / 100).toFixed(2) - this
						.deductionPrice).toFixed(2);
				}
				if (this.paytheprice == 0) {
					this.isUse = false;
					this.paytype = '';
				} else {
					this.isUse = true;
				}
				this.getRebateIntegral();
			},
			//跳转积分充值
			jumpdeposits() {
				uni.navigateTo({
					url: '../user/deposit/deposit'
				})
			}
		}
	}
</script>

<style lang="scss">
	page {
		background-color: #f7f7f7;
	}

	.comorder {
		background-color: #FFFFFF;
		border-radius: 8px;
	}

	.jtcs {
		width: 40rpx;
		height: 40rpx;
		margin-top: 30rpx;
	}

	.cj-slider {
		width: 100%;
		align-items: center;
		display: flex;
	}

	.goodsimg {
		align-items: center;
		display: flex;

		image {
			width: 170rpx;
			max-height: 170rpx;
		}
	}

	.yhprice {
		width: 100%;
		height: 25px;
		text-align: right;
		margin-top: -20px;
	}

	.price-number {
		width: 100%;
		display: flex;
		justify-content: space-between;
		align-items: flex-end;
		font-size: 28upx;
		height: 40upx;

		.price {
			color: #FE4545;
			display: flex;
			max-width: 50%;
			align-items: center;
		}

		.number {
			display: flex;
			align-items: center;
			width: 50%;
			text-decoration: line-through;

		}
	}

	.yhqky {
		background: #ff0034;
		color: #ffffff;
		font-size: 14px;
		padding-left: 5px;
		padding-right: 5px;
		margin-left: 8px;
		padding-top: 2px;
		padding-bottom: 2px;
	}



	.addr {
		width: 86%;
		padding: 20upx 3%;
		margin: 30upx auto 20upx auto;
		box-shadow: 0upx 5upx 20upx rgba(0, 0, 0, 0.1);
		border-radius: 20upx;
		display: flex;

		.icon {
			width: 80upx;
			height: 80upx;
			display: flex;
			align-items: center;

			image {
				width: 60upx;
				height: 60upx;
			}
		}

		.tel-name {
			width: 100%;
			display: flex;
			font-size: 32upx;

			.tel {
				margin-left: 40upx;
			}
		}

		.addres {
			width: 100%;
			font-size: 26upx;
			color: #999;
		}
	}

	.tccs {
		box-shadow: 0rpx 0rpx 10rpx rgba(0, 0, 0, 0.2);
		border: 1px solid #f6f6f6;
		border-radius: 8px;
		align-items: center;
		display: flex;

		image {
			width: 160rpx;
			max-height: 160rpx;
		}
	}

	.tcrig {
		margin-left: 20rpx;
	}

	.info {
		display: flex;
		justify-content: space-between;
		align-items: flex-end;
		width: 92%;
	}

	.order {
		width: 86%;
		padding: 10upx 3%;
		margin: 30upx auto 20upx auto;
		box-shadow: 0upx 5upx 20upx rgba(0, 0, 0, 0.1);
		border-radius: 20upx;

		.row {
			margin: 20upx 0;
			height: 40upx;
			display: flex;

			.left {
				font-size: 28upx;
			}

			.right {
				margin-left: 40upx;
				font-size: 26upx;
				color: #999;

				input {
					font-size: 26upx;
					color: #999;
				}
			}
		}
	}

	.footer {
		width: 92%;
		padding: 0 4%;
		background-color: #fbfbfb;
		height: 100upx;
		display: flex;
		justify-content: flex-end;
		align-items: center;
		font-size: 28upx;
		position: fixed;
		bottom: 0upx;
		z-index: 5;

		.settlement {
			width: 100%;
			display: flex;
			justify-content: flex-end;
			align-items: center;

			.sum {
				width: 68%;
				font-size: 18px;
				margin-right: 10upx;
				display: flex;
				justify-content: flex-start;

				.money {
					color: #eb5823;
					font-weight: 600;
				}
			}

			.btn {
				padding: 0 45rpx;
				height: 80rpx;
				background-color: #0083f5;
				color: #fff;
				display: flex;
				justify-content: center;
				align-items: center;
				font-size: 30upx;
				border-radius: 40upx;
			}
		}
	}

	.jfrecharge {
		background-color: #0083f5;
		padding: 5px 20rpx;
		color: #fff;
		margin-left: 50%;
		justify-content: center;
		align-items: center;
		font-size: 30rpx;
		border-radius: 40rpx;
	}

	.goods-list {
		width: 100%;
		padding: 0;

		.tis {
			width: 100%;
			height: 60upx;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 32upx;
		}

		.row {
			width: calc(92%);
			height: calc(22vw + 40upx);
			margin: 20upx auto;

			border-radius: 15upx;
			box-shadow: 0upx 5upx 20upx rgba(0, 0, 0, 0.1);
			display: flex;
			align-items: center;
			position: relative;
			overflow: hidden;
			z-index: 4;
			border: 0;

			.menu {
				.icon {
					color: #fff;
					// font-size: 25upx;
				}

				position: absolute;
				width: 30%;
				height: 100%;
				right: 0;
				display: flex;
				justify-content: center;
				align-items: center;
				background-color: red;
				color: #fff;
				z-index: 2;
			}

			.carrier {
				.checkbox-box {
					padding-left: 20upx;
					flex-shrink: 0;
					height: 22vw;
					margin-right: 20upx;
				}

				position: absolute;
				width: 94%;
				margin-left: 3%;
				padding: 0 0;
				height: 100%;
				z-index: 3;
				display: flex;
				align-items: center;

				.goods-info {
					width: 100%;
					display: flex;
					padding-right: 20upx;

					.img {
						width: 22vw;
						height: 22vw;
						border-radius: 10upx;
						overflow: hidden;
						flex-shrink: 0;
						margin-right: 10upx;

						image {
							width: 22vw;
							height: 22vw;
						}
					}

					.info {
						width: 100%;
						height: 22vw;
						overflow: hidden;
						display: flex;
						flex-wrap: wrap;
						position: relative;

						.title {
							width: 100%;
							font-size: 16px;
							display: -webkit-box;
							-webkit-box-orient: vertical;
							-webkit-line-clamp: 2;
							// text-align: justify;
							overflow: hidden;
						}

						.spec {
							font-size: 14px;
							color: #a7a7a7;
							height: 30upx;
							display: flex;
							align-items: center;
							padding: 0;
							border-radius: 15upx;
							margin-bottom: 20vw;
						}

						.price-number {
							position: absolute;
							width: 100%;
							bottom: 0upx;
							display: flex;
							justify-content: space-between;
							align-items: flex-end;
							font-size: 28upx;
							height: 60upx;
						}
					}
				}
			}
		}
	}
</style>
